language: cn
model_unique_abbr: FDS
version: 1.0
identification:
  docker_image_name: fds:2.0
  model_name: 频率分布统计
  semantic: frequency distribution statistic
  description: 基于等距区间的专题属性频率分布统计
  category_application: 描述型
  category_data:
  - 专题属性分析
  keywords:
  - 频率分布
  - 聚集趋势
  - 离散趋势
parameter_info:
  parameters:
  - arg_name: input
    is_single_en_dash: false
    param_type: input_data
    name: 空间专题属性
    description: 待输入的空间专题属性数据，数据格式为csv文件
    data_type: csv
    data_semantic: analysis_data

  - arg_name: field
    is_single_en_dash: false
    param_type: param
    name: 专题属性字段
    description: 专题属性字段名
    data_type: str
    data_semantic: field

  - arg_name: boxsnum
    is_single_en_dash: false
    param_type: param
    name: 分组数
    description: 频率统计的区间组数，int类型，大于等于2
    data_type: int
    data_semantic: boxnum
    specification:
      default: 10
      range:
      - "[2,)"

  - arg_name: output
    is_single_en_dash: false
    param_type: output_data
    name: 分析结果
    description: 计算过程中得到的均值，方差，偏度，峰度，区间频率，区间等统计特征信息，结果保存为json文件
    data_type: json
    data_semantic: analysis result
application:
  domain: 专题属性值分布统计分析
  objective: 对专题属性值进行频率统计并反映专题属性值的聚集程度
  dimension:
  - 二维
  spatial_reference:
  - 投影坐标系
  mechanism: 将一组专题属性值划分到若干区间范围内，统计各区间的频数
operation:
  usage: "该算法需要两个参数,专题属性列名(field),分组数(boxsnum)。"
  exec_example:
  - docker run -v $(pwd):/data fds:1.0 --input data.csv --field x --output analysis_result.json
technique:
  language:
  - Python
  os:
  - Linux
  - Windows
source:
  maintainer: Nanwei Cheng
  organization: Central South University
  contact: 2247486718@qq.com
  references:
  - "Manikandan, S. 2011. Frequency distribution.Journal of Pharmacology & Pharmacotherapeutics, 2(1):54–56."
